aboutsummaryrefslogtreecommitdiffstats
path: root/main/gmp5/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-19 13:32:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-19 13:32:07 +0000
commitc6eeea4b4e742ac3213ab4a601a3957894782646 (patch)
treec9879b0cdc18336236a4790bed4d329abd5581cf /main/gmp5/APKBUILD
parentd4f5a6a6f4f1ad6f0e0f63c7b4e8379564f5095a (diff)
downloadaports-c6eeea4b4e742ac3213ab4a601a3957894782646.tar.gz
aports-c6eeea4b4e742ac3213ab4a601a3957894782646.tar.bz2
aports-c6eeea4b4e742ac3213ab4a601a3957894782646.tar.xz
main/gmp5: upgrade gmp to 5.0.1
Diffstat (limited to 'main/gmp5/APKBUILD')
-rw-r--r--main/gmp5/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/main/gmp5/APKBUILD b/main/gmp5/APKBUILD
new file mode 100644
index 0000000000..c2a4ad6f45
--- /dev/null
+++ b/main/gmp5/APKBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_name=gmp
+pkgname=${_name}5
+
+pkgver=5.0.1
+pkgrel=0
+pkgdesc="A free library for arbitrary precision arithmetic"
+url="http://gmplib.org/"
+license="LGPL3"
+makedepends="m4 texinfo"
+depends=
+subpackages="$pkgname-doc $pkgname-dev"
+source="ftp://ftp.gnu.org/gnu/gmp/gmp-$pkgver.tar.bz2
+ gmp-4.1.4-noexecstack.patch
+ "
+
+_builddir="$srcdir"/$_name-$pkgver
+build() {
+ cd "$_builddir"
+ patch -p1 < "$srcdir"/gmp-4.1.4-noexecstack.patch || return 1
+
+ ABI="32" ./configure --prefix=/usr \
+ --build=${CHOST} \
+ --infodir=/usr/share/info \
+ --mandir=/usr/share/man \
+ --localstatedir=/var/state/gmp \
+ --disable-mpfr \
+ --disable-mpbsd \
+ --disable-cxx \
+ --with-pic \
+ || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="${pkgdir}" install || return 1
+}
+
+dev() {
+ replaces="gmp"
+ default_dev
+}
+
+md5sums="6bac6df75c192a13419dfd71d19240a7 gmp-5.0.1.tar.bz2
+13c34f00e77ded6673270cfea06c35c3 gmp-4.1.4-noexecstack.patch"